<?php

use Illuminate\Foundation\Application;
use Illuminate\Foundation\Configuration\Exceptions;
use Illuminate\Foundation\Configuration\Middleware;

return Application::configure(basePath: dirname(__DIR__))
    ->withRouting(
        web: __DIR__.'/../routes/web.php',
        commands: __DIR__.'/../routes/console.php',
        health: '/up',
    )
    ->withMiddleware(function (Middleware $middleware) {
        $middleware->alias([
            'admin' => \App\Http\Middleware\IsAdmin::class,
            'loan_officer' => \App\Http\Middleware\IsLoanOfficer::class,
            'teller' => \App\Http\Middleware\IsTeller::class,
            'auditor' => \App\Http\Middleware\IsAuditor::class,
            'admin_or_officer' => \App\Http\Middleware\AdminOrOfficer::class,
            'teller_or_auditor' => \App\Http\Middleware\TellerOrAuditor::class,
            'admin_or_teller' => \App\Http\Middleware\AdminOrTeller::class,
            'admin_or_officer_or_auditor' => \App\Http\Middleware\AdminOrOfficerOrAuditor::class,
        ]);
    })
    ->withExceptions(function (Exceptions $exceptions): void {
        //
    })->create();
